%define major		0
%define libname		%mklibname %name %major
%define develname	%mklibname %name -d

Name:		sim
Summary:	A QT/KDE ICQ instant messaging client
Version:	0.9.4.3
Release:	%mkrel 6
Source0:	%{name}-%{version}.tar.bz2
Patch0:		sim-0.9.4.3-automake.patch
License:	GPLv2+
Group:		Networking/Instant messaging
URL:		http://sim-im.org/
Requires:	qt3 > 3.0.4
Requires:	kdelibs > 3.0
BuildRequires:	kdelibs-devel > 3.0
BuildRequires:  autoconf
BuildRequires:	libgamin-devel
BuildRequires:	flex
BuildRequires:	zip
BuildRequires:  libxslt-devel
BuildRequires:	ImageMagick
BuildRequires:	openssl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Sim is a QT IM client with enhanced features and special support for
KDE2/3. The Oscar protocol (ICQ / AIM) is supported. It also can
connect to MSN, Jabber and Yahoo.

%package -n %{libname}
Summary:	Sim libraries
Group:		System/Libraries

%description -n %{libname}
Sim is a QT IM client with enhanced features and special support for
KDE2/3. The Oscar protocol (ICQ / AIM) is supported. It also can
connect to MSN, Jabber and Yahoo.

%package -n %{develname}
Summary:        Sim libraries
Group:          System/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname sim 0 -d}

%description -n %{develname}
Sim is a QT IM client with enhanced features and special support for
KDE2/3. The Oscar protocol (ICQ / AIM) is supported. It also can
connect to MSN, Jabber and Yahoo.

%prep
rm -rf %{buildroot}
%setup -q
%patch0 -p1 -b .automake

%build
gmake -f admin/Makefile.common
%ifarch x86_64
%configure --disable-rpath --enable-libsuffix=64
%else
%configure --disable-rpath
%endif
%make

%install
%makeinstall_std

# Menu

# rename sim-kde menu file

# delete and recreate desktop file
rm %{buildroot}/%{_datadir}/mimelnk/application/x-icq.desktop
rm %{buildroot}/%{_datadir}/applications/kde/sim.desktop

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Sim
Comment=Messaging client
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Qt;Network;InstantMessaging;
EOF

%{find_lang} %{name}

%post
%{update_menus}
%{update_icon_cache hicolor}

%post -n %{libname} -p /sbin/ldconfig

%postun
%{clean_menus}
%{clean_icon_cache hicolor}

%postun -n %{libname} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,0755)
%{_bindir}/sim
%{_bindir}/simctrl
%{_libdir}/%{name}/*.so
%{_datadir}/apps/%{name}
%{_datadir}/applications/*
%{_datadir}/services/simctrl.desktop
%{_iconsdir}/hicolor/*/*/*
%doc ChangeLog README

%files -n %{libname}
%defattr(-,root,root,0755)
%{_libdir}/libsim*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root,0755)
%{_libdir}/libsim*.so
%{_libdir}/libsim*.la
%{_libdir}/sim/*.la

%clean
rm -r %{buildroot}



%changelog
* Mon Jan 28 2008 Adam Williamson <awilliamson@mandriva.com> 0.9.4.3-6mdv2007.1
+ Revision: 159349
- use --enable-libsuffix on x86_64 (fixes x86_64 build on 2007.1)
- restore buildroot for backports

* Mon Jan 28 2008 Adam Williamson <awilliamson@mandriva.com> 0.9.4.3-5mdv2008.1
+ Revision: 159258
- add automake.patch: fix up automake test for 1.10
- drop old icons
- new library policy
- new license policy
- clean br
- spec clean

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

* Thu May 31 2007 Funda Wang <fundawang@mandriva.org> 0.9.4.3-4mdv2008.0
+ Revision: 33004
- Fix wrong requires on qt3

* Mon May 07 2007 Lenny Cartier <lenny@mandriva.org> 0.9.4.3-3mdv2008.0
+ Revision: 24002
- Buildrequires
- Buildrequires
- Fix release
- Update to 0.9.4.3 & fix conflicting desktop file


* Thu Jan 13 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.9.4-0.20041105.2mdk
- buildrequires on libgamin-devel rather on libfam

* Thu Nov 04 2004 Matthias Debus <psic4t@netbands.de> 0.9.4-0.20041105.1mdk
- new snapshot

* Tue Aug 31 2004 Matthias Debus <psic4t@netbands.de> 0.9.4-0.20040831-1mdk
- new snapshot
- fix menu
- fix icons
- reenable libtoolize
- fix package name

* Fri Jul 02 2004 Matthias Debus <psic4t@netbands.de> 0.9.4-0.20040702-1mdk
- new snapshot
- rebuild for gcc-3.4.1

* Tue May 18 2004 Matthias Debus <psic4t@netbands.de> 0.9.3-2mdk
- rebuild

* Wed Mar 31 2004 Matthias Debus <psic4t@netbands.de> 0.9.3-1mdk
- new version

* Tue Mar 23 2004 Matthias Debus <psic4t@netbands.de> 0.9.2-4.20040322.1mdk
- adjust file list (changed)

* Tue Mar 16 2004 Matthias Debus <psic4t@netbands.de> 0.9.2-4.20040316.1mdk
- adjust buildrequires
- new cvs snapshot (2004-03-16)
- use libtoolize
- drop patch0: merged
- adjust menu

* Mon Feb 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-3.20040128.3mdk
- really apply patch !

* Mon Feb 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-3.20040128.2mdk
- Patch0: fix UIN length problem (from .cpp file on Sim-icq-man ML)

* Wed Jan 28 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-3.20040128.1mdk
- update to 20040128 cvs

* Thu Jan 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-2mdk
- rebuild

* Tue Jan 06 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-1mdk
- from Matthias Debus <psic4t@netbands.de> :
	- 0.9.2
	- drop patch1: merged

* Fri Dec 05 2003 Franck Villaume <fvill@freesurf.fr> 0.9.1-3mdk
- add BuildRequires : flex

* Wed Nov 19 2003 Matthias Debus <psic4t@netbands.de> 0.9.1-2mdk
- patch1: fix msn message sending

* Sun Nov 09 2003 Matthias Debus <psic4t@netbands.de> 0.9.1-1mdk
- new version
- back out patch1: merged

* Wed Nov 05 2003 Matthias Debus <psic4t@netbands.de> 0.9-2mdk
- patch1: fix icq login sequence
- requires

* Mon Nov 03 2003 Matthias Debus <psic4t@netbands.de> 0.9-1mdk
- new version

* Tue Oct 07 2003 Matthias Debus <psic4t@netbands.de> 0.9-0.1mdk
- new cvs snapshot with msn and jabber connectors
- back out patch1: merged
- don't call libtool with --tag option

* Tue Aug 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.8.3-2mdk
- rebuild

* Mon Aug 04 2003 Matthias Debus <psic4t@netbands.de> 0.8.3-1mdk 
- new version

* Fri May 09 2003 Matthias Debus <psic4t@netbands.de> 0.8.2-1mdk 
- build requires
- new version
- patch1: don't hardcode applnk path

* Wed Jan 08 2003 Matthias Debus <psic4t@netbands.de> 0.8.1-2mdk 
- rebuild

* Wed Dec 18 2002 Matthias Debus <psic4t@netbands.de> 0.8.1-1mdk
- new version

* Mon Nov 25 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.1-0.2mdk
- don't hardcore arch in binary name

* Thu Nov 21 2002 Matthias Debus <psic4t@netbands.de> 0.8.1-0.1mdk
- new cvs snapshot (20021121), because 0.8 does not compile with qt3.1
- rebuild with qt 3.1

* Wed Oct 23 2002 Matthias Debus <psic4t@netbands.de> 0.8-1mdk
- 0.8 final

* Sun Oct 06 2002 Matthias Debus <psic4t@netbands.de> 0.8-0.6mdk
- Spec file cleanup
- First contrib package

* Sun Sep 22 2002 Oded Arbel <oded@geek.co.il> 0.8-0.5mdk
- New CVS version
- new numbering scheme, assuming that this is not 0.8 but a pre
  release (not very clear)

* Sun Sep 22 2002 Oded Arbel <oded@geek.co.il> 0.8-4mdk
- New CVS version

* Thu Sep 12 2002 Oded Arbel <oded@geek.co.il> 0.8-3mdk
- New CVS version

* Mon Sep 09 2002 Oded Arbel <oded@geek.co.il> 0.8-2mdk
- Make menu entry work (stolen from GAIM)

* Mon Sep 09 2002 Oded Arbel <oded@geek.co.il> 0.8-1mdk
- release 0.8
- Added menu entry

* Sun Aug 25 2002 Oded Arbel <oded@geek.co.il> 0.7-1mdk
- release 0.7

* Sat Aug 24 2002 Oded Arbel <oded@geek.co.il> 0.7-0.20020824mdk
- New CVS snapshot

* Fri Aug 23 2002 Oded Arbel <oded@geek.co.il> 0.7-0.20020823mdk
- New CVS snapshot

* Tue Aug 20 2002 Oded Arbel <oded@geek.co.il> 0.7-0.20020820mdk
- New CVS snapshot

* Thu Aug 15 2002 Oded Arbel <oded@geek.co.il> 0.7-0.20020815mdk
- First Mandrake 9 package for SIM by me

